package com.ozs.service.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.service.entity.MsgAlarm;
import com.ozs.service.entity.MsgWebPush;
import com.ozs.service.entity.vo.MsgAlarmVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Author : sunhh
 * @create 2023/3/15 14:35
 */
@Mapper
public interface MsgWebPushMapper extends BaseMapper<MsgWebPush> {
    Integer webAlarmNum(MsgAlarmVo msgAlarmParameter);

    List<MsgAlarm> webAlarm(MsgAlarmVo msgAlarmParameter);

    List<MsgAlarm> messageMore(MsgAlarmVo msgAlarmVo);

    Map<String, Integer> messageMoreNum(MsgAlarmVo msgAlarmVo);
}
